/*
 * (c) 2014 Rechenraum e.U. (Simon Flöry; simon.floery@rechenraum.com)
 *
 * This file is part of project oe3d (www.oe3d.at).
 *
 * oe3d is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * oe3d is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with oe3d. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _OBSERVER_H
#define _OBSERVER_H

#include <libnova/ln_types.h>

#include "sunnig.h"

/*! \file Information about the observer's location
 * 
 */
class Observer
{
public:

	/* documented in source code */
    Observer();

    /* documented in source code */
    double getGMTOffset() const;

    /* documented in source code */
    double getLocalJulianDate(int, int, int, int, int, double) const;

    /* documented in source code */
    ln_date getLocalDate(double) const;

    /* documented in source code */
    int getSolarRST(double, ln_rst_time&) const;

    //--------------------------------------------------------------------------

    /*! Location of the observer */
    ln_lnlat_posn m_location;

    /*! Altitude of the observer in meters */
    GeCore::GCReal m_elevation;
};

#endif // _HORIZON_H
